Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.exif
Class MPEntryTagSet

    java.lang.Object
      org.monte.media.tiff.TagSet
          org.monte.media.exif.MPEntryTagSet

    public class MPEntryTagSet

extends TagSet

Syntethic tags for the entry information Multi-Picture format (MPF) tags as found in MPO image files generated by Fujifilm Finepix Real 3D W1 cameras.

Source:

Multi-Picture Format (February 4, 2009). Standard of the Camera & Imaging Products Association. CIPA DC-007-Translation-2009. http://www.cipa.jp/english/hyoujunka/kikaku/pdf/DC-007_E.pdf

Version:
  1.0 2010-07-24 Created.
Author:
  Werner Randelshofer

Field Summary
`static TIFFTag` | `IndividualImageDataOffset` Individual Image Data Offset This field specifies the data offset to the beginning (i.e.
`static TIFFTag` | `IndividualImageSize` Individual Image Size This field specifies the size of the image data between the SOI and EOI markers of an Individual Image.
`static int` | `TAG_DependentChildImageFlag`
`static int` | `TAG_DependentImage1EntryNumber`
`static int` | `TAG_DependentImage2EntryNumber`
`static int` | `TAG_DependentParentImageFlag`
`static int` | `TAG_ImageDataFormat`
`static int` | `TAG_IndividualImageDataOffset`
`static int` | `TAG_IndividualImageSize`
`static int` | `TAG_MPTypeCode`
`static int` | `TAG_RepresentativeImageFlag`

Method Summary
`static TIFFTag` | `get(int tagNumber)`
`static MPEntryTagSet` | `getInstance()` Returns a shared instance of a BaselineTIFFTagSet.

Methods inherited from class org.monte.media.tiff.TagSet
`getName, getTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_DependentParentImageFlag

    public static final int TAG_DependentParentImageFlag

See Also:
  Constant Field Values

### TAG_DependentChildImageFlag

    public static final int TAG_DependentChildImageFlag

See Also:
  Constant Field Values

### TAG_RepresentativeImageFlag

    public static final int TAG_RepresentativeImageFlag

See Also:
  Constant Field Values

### TAG_ImageDataFormat

    public static final int TAG_ImageDataFormat

See Also:
  Constant Field Values

### TAG_MPTypeCode

    public static final int TAG_MPTypeCode

See Also:
  Constant Field Values

### TAG_IndividualImageSize

    public static final int TAG_IndividualImageSize

See Also:
  Constant Field Values

### TAG_IndividualImageDataOffset

    public static final int TAG_IndividualImageDataOffset

See Also:
  Constant Field Values

### TAG_DependentImage1EntryNumber

    public static final int TAG_DependentImage1EntryNumber

See Also:
  Constant Field Values

### TAG_DependentImage2EntryNumber

    public static final int TAG_DependentImage2EntryNumber

See Also:
  Constant Field Values

### IndividualImageDataOffset

    public static final TIFFTag IndividualImageDataOffset

  Individual Image Data Offset This field specifies the data offset to the beginning (i.e. SOI marker) of an Individual Image. The field is specified as a LONG value, and the byte order depends on MP Endian. This offset is specified relative to the address of the MP Endian field in the MP Header (see §5.2), unless the image is a First Individual Image, in which case the value of the offset shall be NULL(00000000.H).

### IndividualImageSize

    public static final TIFFTag IndividualImageSize

  Individual Image Size This field specifies the size of the image data between the SOI and EOI markers of an Individual Image. The field is specified as a LONG value, and the byte order depends on MP Endian.

Method Detail

### get

    public static TIFFTag get(int tagNumber)

### getInstance

    public static MPEntryTagSet getInstance()

  Returns a shared instance of a BaselineTIFFTagSet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD